This discussion is archived
2 Replies Latest reply: Nov 18, 2012 7:38 AM by 787789 RSS

Need help to upgrade from 9.0.1.1.to 9.0.1.4

787789 Newbie
Currently Being Moderated
Hi,

I was trying to upgrade from 9.0.1.1 to 11g, oracle recommended to upgrade it indirect way, from 9.0.1.1. to 9.0.1.4 then to 10g and 11g.

I got a 11.0.1.4 patchset( 3109399) for windows2003.

Checked its read me file , and brought down services and copied all the files of patch to the OLD ORACLE HOME/bin

Now to run the scripts like catadt.sql, i need to login to datABASE, when i give sqlplus it give error likeThe procedure entry point lxhlcmod could not be located in the dynamic link library oranls9.dll


Can someone please help how will i get this done.

Thanks
  • 1. Re: Need help to upgrade from 9.0.1.1.to 9.0.1.4
    Srini Chavali-Oracle Oracle ACE Director
    Currently Being Moderated
    How big is the database ? How much downtime can you afford ? One option might be to directly upgrade from 9.0.1 to 11gR2 using export/import

    http://docs.oracle.com/cd/E11882_01/server.112/e23633/expimp.htm#i262247

    HTH
    Srini
  • 2. Re: Need help to upgrade from 9.0.1.1.to 9.0.1.4
    787789 Newbie
    Currently Being Moderated
    Sorry I couldnt respond quickly, because here in my area, we lost the current for many hours...

    I agree with you after checking the doc you've referenced, however I have already followed the oracle doc saying to upgrade 9.0.1.1 to 9.0.1.4( Unfortunatly this patchset as per README file needs to directly copy to ORACLE HOME directories rather overwrite them) which i already did.

    I am not able to login to database now to run the few scripts, error is

    The procedure entry point lxhlcmod could not be located in the dynamic link library oranls9.dll

    Could you please help me out in this case.

    Regards,

Legend

  • Correct Answers - 10 points
  • Helpful Answers - 5 points